Ubuntu

linux: 2.6.38-14.58 -proposed tracker

Reported by Luis Henriques on 2012-03-26
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.38-14.58 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 26. March 2012 14:36 UTC
kernel-stable-Certification-testing-end:Monday, 26. March 2012 14:45 UTC
kernel-stable-Prepare-package-end:Wednesday, 28. March 2012 22:18 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 28. March 2012 22:18 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 29. March 2012 10:45 UTC
kernel-stable-Verification-testing-start:Thursday, 29. March 2012 11:45 UTC
kernel-stable-Security-signoff-start:Monday, 02. April 2012 15:45 UTC
kernel-stable-Verification-testing-end:Monday, 02. April 2012 15:45 UTC
kernel-stable-Regression-testing-start:Monday, 02. April 2012 15:45 UTC
kernel-stable-Security-signoff-end:Tuesday, 03. April 2012 11:00 UTC
kernel-stable-Promote-to-updates-start:Thursday, 05. April 2012 16:15 UTC
kernel-stable-Regression-testing-end:Thursday, 05. April 2012 16:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 11. April 2012 06:45 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 11. April 2012 06:45 UTC

Luis Henriques (henrix) on 2012-03-26
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: natty
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-03-26
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 967822

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-natty (lucid) - bug 967823

description: updated
Martin Pitt (pitti) on 2012-03-29
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-03-29
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-backports-modules-cw-3.0.0-natty-generic 2.6.38.14.29 - is in universe instead of main
linux-backports-modules-cw-3.0.0-natty-generic 2.6.38.14.29 - is in universe instead of main
linux-backports-modules-cw-3.0.0-natty-generic-pae 2.6.38.14.29 - is in universe instead of main
linux-backports-modules-cw-3.0.0-natty-server 2.6.38.14.29 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Martin Pitt (pitti) wrote :

Fixed the overrides for linux-meta.

Brad Figg (brad-figg) on 2012-03-29
description: updated
Brad Figg (brad-figg) on 2012-03-29
description: updated
Brad Figg (brad-figg) on 2012-04-02
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-04-03
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-04-05
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.38-14.58

---------------
linux (2.6.38-14.58) natty-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #965346

  [ Andy Whitcroft ]

  * [Config] restore build-% shortcut

  [ Upstream Kernel Changes ]

  * eCryptfs: Make truncate path killable
    - LP: #947270
  * bsg: fix sysfs link remove warning
    - LP: #946928
  * regset: Prevent null pointer reference on readonly regsets
    - LP: #949905
    - CVE-2012-1097
  * regset: Return -EFAULT, not -EIO, on host-side memory fault
    - LP: #949905
    - CVE-2012-1097
  * mm: memcg: Correct unregistring of events attached to the same eventfd
    - LP: #952828
    - CVE-2012-1146
  * KVM: Remove ability to assign a device without iommu support
    - LP: #897812
    - CVE-2011-4347
  * eCryptfs: Copy up lower inode attrs after setting lower xattr
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * eCryptfs: Improve statfs reporting
    - LP: #885744
  * KVM: x86: extend "struct x86_emulate_ops" with "get_cpuid"
    - LP: #917842
    - CVE-2012-0045
  * KVM: x86: fix missing checks in syscall emulation
    - LP: #917842
    - CVE-2012-0045
 -- Luis Henriques <email address hidden> Mon, 26 Mar 2012 15:28:22 +0100

Changed in linux (Ubuntu Natty):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers